# Uses of Interface
javax.help.Map

Packages that use Map
Package
Description
javax.help
Supports presentation of online documentation with both content and contextual views of this information.
javax.help.plaf.basic

## Uses of Map in javax.help

Classes in javax.help that implement Map
Modifier and Type
Class
Description
`class`
`FlatMap`
A FlatMap is a simple implementation of a Map.
`class`
`TryMap`
A Map that can combine a number of other Maps in an efficient manner.
Methods in javax.help that return Map
Modifier and Type
Method
Description
`Map`
HelpSet.`getCombinedMap()`
The map for this HelpSet.
`Map`
HelpSet.`getLocalMap()`
Get the local (i.e. non-recursive) Map for this HelpSet.
`Map`
BadIDException.`getMap()`
The HelpSet in which the ID wasn't found
Methods in javax.help with parameters of type Map
Modifier and Type
Method
Description
`void`
TryMap.`add(Map map)`
Adds a map to a "filter" Map.
`boolean`
TryMap.`remove(Map map)`
Removes a Map from this "filter" Map.
`void`
HelpSet.`setLocalMap(Map map)`
Set the Map for this HelpSet.
Constructors in javax.help with parameters of type Map
Modifier
Constructor
Description
``
`BadIDException(String msg, Map map, String id, HelpSet hs)`
Create the exception.

## Uses of Map in javax.help.plaf.basic

Fields in javax.help.plaf.basic declared as Map
Modifier and Type
Field
Description
`protected Map`
BasicSearchCellRenderer.`map`
Map to use for rendering included images.
`protected Map`
BasicTOCCellRenderer.`map`
Constructors in javax.help.plaf.basic with parameters of type Map
Modifier
Constructor
Description
``
`BasicSearchCellRenderer(Map map)`
Returns a new instance of BasicSearchCellRender.
``
`BasicTOCCellRenderer(Map map)`
``
`BasicTOCCellRenderer(Map map, TOCView view)`